abstract class LoginEvent {}

class LoginCheckEvent extends LoginEvent {}

class LoginMobileEvent extends LoginEvent {
  final String mobileNumber;

  LoginMobileEvent(this.mobileNumber);
}

class LoginOTPEvent extends LoginEvent {
  final String mobileNumber;
  final String otp;

  LoginOTPEvent(this.mobileNumber, this.otp);
}

class LoginEmailSignupEmailEvent extends LoginEvent {
  final String email;
  final String password;

  LoginEmailSignupEmailEvent(this.email, this.password);
}

class LoginEmailSigninEmailEvent extends LoginEvent {
  final String email;
  final String password;

  LoginEmailSigninEmailEvent(this.email, this.password);
}

class LoginGoogleSigninEvent extends LoginEvent {}

class LoginFacebookSigninEvent extends LoginEvent {}

class LoginAppleSigninEvent extends LoginEvent {}
